--望州城
--朱雀之爭

--脚本号
x103008_g_scriptId=103008

function x103008_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]朱雀者，迷陣也！\n活動開啟時間：\n周一：21:00-21:30\n周三：21:00-21:30\n周五：21:00-21:30[-]")

	AddNumText(scene,x103008_g_scriptId,"朱雀之爭",-1,1)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

function x103008_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index == 1 then
		BeginEvent(scene)
		AddText(scene,"朱雀之爭副本是一个组队竞速类副本，相同时间内队伍获得古运越多则排名越高(副本在活动期间内可重复进入），排名前三的队伍获得排行榜奖励！")
		AddNumText(scene,x103008_g_scriptId,"進入副本",-2,10101)
		AddNumText(scene,x103008_g_scriptId,"便捷組隊",-2,10104,0,400)
		AddNumText(scene,x103008_g_scriptId,"副本說明",-1,10105)
		AddNumText(scene,x103008_g_scriptId,"返回",-1,10106)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10101 then
		GotoCopyScene(scene,selfId,7)
	elseif index == 10104 then
		x103008_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 10105 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1. 活動開啟30分鐘，開啟時間隊伍獲得古運越多則排名越高(副本在活動期間內可重復進入）\n2. 隊伍玩家人數不低於3人\n3. 在副本內刷完怪後會掉落當前的屬性的增益到玩家身上\n4. 隊長根據掉落的增益屬性選擇對應克製的傳送點進行傳送\n5. 克製關系：四種元素屬性克製為\「水克火\」、\「火克木\」、\「木克雷\」、\「雷克水\」。")
		AddNumText(scene,x103008_g_scriptId,"進入副本",-2,10101)
		AddNumText(scene,x103008_g_scriptId,"便捷組隊",-2,10104,0,400)
		AddNumText(scene,x103008_g_scriptId,"副本說明",-1,10105)
		AddNumText(scene,x103008_g_scriptId,"返回",-1,10106)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 10106 then
		x103008_OnDefaultEvent(scene,selfId ,targetId)
	end
end